Đến nội dung


Hình ảnh
- - - - -

Tìm Giao Điểm Của 2 Đường Cong, Hoặc Đương Cong Và Đường Thẳng ... ?


  • Please log in to reply
5 replies to this topic

#1 Strong Hee

Strong Hee

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 16 August 2015 - 11:24 AM

Xin Chào,

 

Các bạn trong Cadviet có bạn nào biết Mã lisp nào để lấy giao điềm Của 2 đường cong hay là đường thảng và đường cong không, cho mình Xin với.

Mình tìm Rất nhiều rồi mà không thấy, bữa nay hết cách nên xin ý kiến các tiền bối đi trước.

 

Mình Cảm ơn.


  • -1

#2 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5450 Bài viết
Điểm đánh giá: 2625 (tuyệt vời)

Đã gửi 16 August 2015 - 12:30 PM

vla-IntersectWith 


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#3 Strong Hee

Strong Hee

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 16 August 2015 - 01:23 PM

cảm ơn anh Hà.

nhưng sao em làm không được.

VD : (setq Diem (vla-IntersectWith (entsel) (entsel)))

 nghĩa là Biến Diem là giao điểm của (entsel) và (entsel). nhưng không được anh ơi  :(


  • 0

#4 Strong Hee

Strong Hee

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 16 August 2015 - 01:29 PM

nó báo lỗi thế này anh ơi :

 error: bad argument type: VLA-OBJECT (<Entity name: 7ef24640> (23851.8 10767.7 0.0))

mặc dù em đã thêm dòng lênh (vl-load-com) ở đầu chương trình.


  • 0

#5 quocmanh04tt

quocmanh04tt

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 673 Bài viết
Điểm đánh giá: 315 (khá)

Đã gửi 16 August 2015 - 02:26 PM

Bạn xem ở đây:

http://www.afralisp....with_method.htm

 

Và tham khảo ở đây:

http://www.lee-mac.c...nfunctions.html


  • 0

#6 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5450 Bài viết
Điểm đánh giá: 2625 (tuyệt vời)

Đã gửi 16 August 2015 - 04:19 PM

Nếu bạn mới vô nghề thì hơi khó. Nghiên cứu xem:

;Get intersection of ent1 & ent2, by flag (flags: acExtendNone ; acExtendThisEntity ; acExtendOtherEntity ; acExtendBoth).
(defun Inter2Ent(ent1 ent2 flag / l r)
 (setq l (vlax-invoke (vlax-ename->vla-object ent1) 'intersectwith (vlax-ename->vla-object ent2) flag))
 (repeat (/ (length l) 3)
  (setq r (cons (list (car l) (cadr l) (caddr l)) r) l (cdddr l)))
 (reverse r))

  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.